﻿using Auth.Models;
using Avalonia.Media;
using Avalonia.Styling;
using ReactiveUI;
using System;
using System.Drawing;
using System.Security.Cryptography.X509Certificates;
using Avalonia.Controls;
using Avalonia.Controls.Shapes;
using System.Linq;
using Avalonia.Threading;
using System.Collections.Generic;
using System.ComponentModel;
using Avalonia.Input;
using System.Windows.Input;

namespace Auth.ViewModels
{
    public class CalcVM : ReactiveObject
    {
        public float? number1;
        public float? number2;
        public string result = "";
        public static List<string> _operation = new List<string> { "Сложение", "Вычитание", "Умножение", "Деление" };
        private string _selectedOperation = _operation[0];
        public string signs = "и";

        public List<String> Operation
        {
            get
            {
                return _operation;
            }
        }

        public string Sign
        {
            get
            {
                return signs;
            }
            set
            {
                this.RaiseAndSetIfChanged(ref signs, value);
            }
        }

        public string SelectedOperation
        {
            get => _selectedOperation;
            set
            {
                this.RaiseAndSetIfChanged(ref _selectedOperation, value);

            }
        }

        public void Results()
        {
            switch (SelectedOperation)
            {
                case "Сложение":
                    Result = (Number1 + Number2).ToString();
                    break;
                case "Вычитание":
                    Result = (Number1 - Number2).ToString();
                    break;
                case "Умножение":
                    Result = (Number1 * Number2).ToString();
                    break;
                case "Деление":
                    Result = Number2 != 0 ? (Number1 / Number2).ToString() : float.NaN.ToString();
                    break;
            }
        }

        public string Result
        {
            get
            {
                return result;
            }
            set
            {
                this.RaiseAndSetIfChanged(ref result, value);
            }
        }

        public float? Number1
        {
            get => number1;
            set
            {
                this.RaiseAndSetIfChanged(ref number1, value);
            }
        }

        public float? Number2
        {
            get => number2;
            set
            {
                this.RaiseAndSetIfChanged(ref number2, value);
            }
        }
    }
}
 